com.io7m.jcanephora.core

## Class JCGLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.io7m.jcanephora.core.JCGLException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JCGLExceptionAttributeAlreadyAssigned, JCGLExceptionBlendingMisconfigured, JCGLExceptionBufferNotBound, JCGLExceptionConcurrency, JCGLExceptionContextIsCurrent, JCGLExceptionContextNotCurrent, JCGLExceptionDeleted, JCGLExceptionFeedback, JCGLExceptionFormatError, JCGLExceptionFramebufferInvalid, JCGLExceptionFramebufferNotBound, JCGLExceptionFramebufferReadDrawSame, JCGLExceptionFramebufferWrongBlitFilter, JCGLExceptionNoDepthBuffer, JCGLExceptionNoStencilBuffer, JCGLExceptionObjectNotDeletable, JCGLExceptionProgramCompileError, JCGLExceptionProgramNotActive, JCGLExceptionProgramTypeError, JCGLExceptionQueryAlreadyRunning, JCGLExceptionQueryNotRunning, JCGLExceptionTextureNotBound, JCGLExceptionWrongContext, JCGLExceptionWrongImplementation

      public class JCGLException
      extends RuntimeException

  The type of exceptions raised by the API.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCGLException(String message)` Construct an exception.
    `JCGLException(String message, Throwable cause)` Construct an exception.
    `JCGLException(Throwable cause)` Construct an exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JCGLException

          public JCGLException(Throwable cause)

      Construct an exception.
      Parameters:
        `cause` - The cause

    - #### JCGLException

          public JCGLException(String message)

      Construct an exception.
      Parameters:
        `message` - The message

    - #### JCGLException

          public JCGLException(String message,
                               Throwable cause)

      Construct an exception.
      Parameters:
        `message` - The message
        `cause` - The cause

Copyright © 2016 <code@io7m.com> http://io7m.com